using System.Text.Json.Serialization;

namespace Pathfinding;

public class PathResult
{
    [JsonInclude]public TimeSpan calcTime;
    [JsonInclude]public List<PathNode> pathNodes;
    
    [JsonConstructor]
    public PathResult(TimeSpan calcTime, List<PathNode> pathNodes)
    {
        this.calcTime = calcTime;
        this.pathNodes = pathNodes;
    }
}